SERGIOIGLESIAS

Blog sobre Joomla

Todas mis extensiones ya son compatibles con Joomla 5

@sergiois Extensiones 2 - 3 minutos Visitas: 389

Comenzamos el mes de noviembre con una buena noticia, al menos para mi. Todas mis extensiones son compatibles con Joomla 5 (sin plugin de compatibilidad).

Todas mis extensiones (gratuitas) #Joomla ya son compatibles con #Joomla5 #MejorConJoomla Postéalo

Una vez que ya tenemos Joomla 5 con nosotros y que ya había hecho mis primeras pruebas de migración de Joomla 5, me puse manos a la obra con las extensiones a ver qué tal se comportaban con esta nueva versión.

Como ya sabes, tengo una web que desarrollé para poder mostrarte la demo de todas las extensiones que tengo desarrolladas y puestas a tu disposición de forma gratuita.

Pasos que he realizado (en local)

Lo primero que he hecho, evidentemente, ha sido una copia completa del sitio con Akeeba Backup.

Después de tener todas las extensiones actualizadas (aunque aquí solo están las mías junto con Akeeba Backup y JCE Editor) me puse a migrar a Joomla 4.4.0.

La actualización se hizo sin ningún problema.

Si has tenido algún problema al hacer esta actualización y no has podido hacer login después de ello, no te preocupes, aquí tienes la solución.

Una vez está la web en Joomla 4.4.0 ya puedes poner el servidor de actualizaciones en modo "Próximo Joomla".

Cuando lo configuras así, automáticamente te salta la actualización de Joomla 5.0.0 (esto siempre que tu servidor cumpla con los requisitos mínimos de PHP y MySQL. En caso de no cumplir, no te saltará).

 Si tu hosting no está preparado creo que es momento de cambiar de proveedor. A estas alturas deberían estar preparados para el correcto funcionamiento de Joomla 5 y, si no lo están, es que Joomla no les importa nada.

Bien, si todo va como es debido, simplemente actualizas de forma automática a la nueva versión de Joomla y ya estará en Joomla 5.

Ahora ya tienes todas las ventajas y funcionalidades de esta nueva versión, que no son pocas.

Una de las cosas que te comentaba en el artículo de mis primeras pruebas de migración de Joomla 5 era que se habilitaba un plugin de compatibilidad (plugin B/C que llaman).

Si las extensiones que tienes en tu web aún no son compatibles totalmente con Joomla 5, tienes que tenerlo habilitado.

No son totalmente compatibles si aún estás usando clases obsoletas. Pero no te preocupes si esto es así ya que teniendo este plugin funcionará todo correctamente hasta que salga Joomla 6 (es decir, tienes 2 años para adaptarlo).

Comprobaciones compatibilidad con Joomla 5

Mi primera comprobación de esta web (extensiones.sergioiglesias.net) fue con el plugin habilitado.

Navegué por todas las demos de mis extensiones y funcionaba correctamente.

Ahora llegaba la parte "chula": deshabilitar el plugin de compatibilidad.

A ello que fui y...

Excepto 2 módulos, todo funcionaba correctamente.

Los módulos eran SIS Articles y Custom Thumbnails.

Con las nuevas versiones que ya están disponibles se corrigieron los pequeños "errores" que tenían y ahora ya... todas mis extensiones son compatibles con Joomla 5 y sin necesidad de plugin de compatibilidad.

5 módulos, 7 plugins y 7 campos personalizados listo para la última versión de Joomla.


Así que, ya sabes, si estás usando mis extensiones o quieres hacer uso de ellas, que sepas que no vas a tener problemas de funcionamiento en Joomla 5.

Espero que te ayude con tu página web.

Tienes toda la información y descarga en mi apartado de Extensiones Joomla o en mi GitHub - SergioIS EXT.

Todas mis extensiones (gratuitas) #Joomla ya son compatibles con #Joomla5 #MejorConJoomla Postéalo

Un comentario

Suscríbete a mi newsletter

¿Te ha gustado el artículo? Suscríbete a mi newsletter y recibe contenido exclusivo.
Podrás hacer gratis un Curso de desarrollo de plantillas Joomla.

Artículos relacionados

Solicita presupuesto

¿Quieres una página web que funcione?

Contacta conmigo y hablemos de tu proyecto.